aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/gna/issue880/testsuite.sh
diff options
context:
space:
mode:
authorTristan Gingold <tgingold@free.fr>2021-06-13 06:58:49 +0200
committerTristan Gingold <tgingold@free.fr>2021-06-13 06:58:49 +0200
commit487e786b744d487f3f5f009d94974d13ee8e0680 (patch)
tree94fbf811f3ee5541b7c7f952ad7f7fd04da419b9 /testsuite/gna/issue880/testsuite.sh
parent534f7801b470c22fcf61909dd42a9fba920efe34 (diff)
downloadghdl-487e786b744d487f3f5f009d94974d13ee8e0680.tar.gz
ghdl-487e786b744d487f3f5f009d94974d13ee8e0680.tar.bz2
ghdl-487e786b744d487f3f5f009d94974d13ee8e0680.zip
testsuite/testenv.sh (diff_nocr): New wrapper; use it where needed.
Option --strip-trailing-cr is used only on windows.
Diffstat (limited to 'testsuite/gna/issue880/testsuite.sh')
-rwxr-xr-xtestsuite/gna/issue880/testsuite.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/testsuite/gna/issue880/testsuite.sh b/testsuite/gna/issue880/testsuite.sh
index 136317e17..1bef788f2 100755
--- a/testsuite/gna/issue880/testsuite.sh
+++ b/testsuite/gna/issue880/testsuite.sh
@@ -8,7 +8,7 @@ elab psl
if ghdl_has_feature psl psl; then
simulate psl --psl-report=psl.out
- if ! diff --strip-trailing-cr psl.out psl.ref > /dev/null; then
+ if ! diff_nocr psl.out psl.ref > /dev/null; then
echo "report mismatch"
exit 1
fi
@@ -24,7 +24,7 @@ elab -fpsl psl
if ghdl_has_feature psl psl; then
simulate psl --psl-report=psl.out
- diff --strip-trailing-cr -q psl.out psl.ref
+ diff_nocr -q psl.out psl.ref
rm -f psl.out
fi